=== debian/changelog ===
qbittorrent (3.3.7-3+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Prevent command injection via "Run external program" function
    (CVE-2019-13640) (Closes: #932539)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 29 Mar 2020 17:45:52 +0200

qbittorrent (3.3.7-3) unstable; urgency=medium

  * CVE-2017-6503: Escape values in WebUI to prevent
    potential XSS (Closes: #856977).
  * CVE-2017-6504: Set the X-Frame-Options header to
    prevent potential clickjacking (Closes: #856978).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 12 Mar 2017 21:04:51 -0400

qbittorrent (3.3.7-2) unstable; urgency=medium

  * Explicitly build depend on zlib1g-dev (Closes: #845619).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 27 Nov 2016 11:46:59 -0500

qbittorrent (3.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Replace mentions of Qt4 with Qt5 in the package
    description (Closes: #834508).
  * debian/rules: Set INSTALL_ROOT for dh_auto_install
    (Closes: #840176). 
  * Bump debian/compat to level 10.
  * debian/rules: Pass '--without autoreconf' to dh as autoreconf
    is now used by default with compat level 10.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 29 Oct 2016 17:34:11 -0400
