## qbittorrent 3.3.16

=== debian/changelog ===
qbittorrent (3.3.16-0mx15+1) mx; urgency=medium

  * New bugfix release:
    - BUGFIX: Better memory footprint when using libtorrent 1.1.x. The cache is
      turned off by default(`0 (disabled)` value in the settings). The value
      `-1 (auto)` makes it use 1/8 of your RAM. 
    - BUGFIX: Skip user input events when adding torrent. Closes #7327.
    - BUGFIX: Avoid memory leak in the speed graph. 
    - WEBUI: Fix validating wrong header field. X-Forwarded-Host is a foreign
      proxy setting, it isn't the same as qbt's local setting and thus it makes
      no sense to verify it. Closes #7311. 

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 25 Sep 2017 13:43:16 -0700

qbittorrent (3.3.15-0mx15+1) mx; urgency=medium

  * New bugfix release:
    - BUGFIX: Temporary subfolder wasn't being deleted. (glassez)
  * debian/control:  remove any specific Qt 4 or 5 references in descriptions,
    since this will change depending on the distrelease.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Sep 2017 12:29:47 -0700

qbittorrent (3.3.14-0mx15+1) mx; urgency=medium

  * New upstream release:
    - BUGFIX: Set interface for outgoing traffic(libtorrent 1.1.x
      series). (evsh)
    - WEBUI: Fix KEEP_ALIVE_DURATION value (Chocobo1)
    - WEBUI: Relax CSRF defense. Closes #6882. Allow HTTP request
      which has neither Origin nor Referer header included. (Chocobo1)
    - WEBUI: Skip username/password check for active sessions (closes
      #6860) (Thomas Piccirello)
    - WEBUI: Fix javascript errors and follow best practices (Thomas Piccirello)
    - WEBUI: Fix value comparison. Closes #7081. (Chocobo1)
    - WEBUI: Avoid modifying request headers (Chocobo1)
    - WEBUI: Implement HTTP host header filtering. This filtering is required
      to defend against DNS rebinding attack. Fixes security issues reported by
      @beardog108 privately. (Chocobo1)
    - WEBUI: Add Status column to webui (addresses #6815)
      (#7032) (Tom Piccirello)
    - WEBUI: Bump API_VERSION and API_VERSION_MIN to 15.
    - SEARCH: Pad shorter python versions. Closes #6877. (sledgehammer999)
    - WINDOWS: Updated Arabic, Turkish, Greek, Russian, Danish languages of the
      installer. (KingLucius, BouRock, thalieht, Andrei Stepanov, scootergrisen)
    - WINDOWS: Raise total stack size on Windows to 8 MB.
      Closes #7021. (Chocobo1)
    - LINUX: Systemd service with user switch and other fixes/optimizations.
      (anton.latukha)

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 24 Jul 2017 08:12:46 -0700

qbittorrent (3.3.13-0mx15+2) MX; urgency=medium

  * debian/control and rules:  alternative B-D and config logic to use Qt 4 on
    a Jessie base, Qt 5 if newer with Qt5 (>= 5.4)
  * Minimum version of libtorrent-rasterbar-dev is now 1.1.2.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 03 Jul 2017 15:47:55 -0700

qbittorrent (3.3.13-0mx15+1) mx; urgency=medium

  * New upstream bugfix release.
    - BUGFIX: Fixed UI glitch about torrent numbers in the sidepanel.
      Fixes #6454. (evsh)
    - BUGFIX: Fix downloaded/uploaded columns were not highlighted properly
      when selected. (Chocobo1)
    - BUGFIX: Always draw background in files list and search result
      list (Chocobo1)
    - BUGFIX: Remove torrent temp folder if it becomes unneeded (glassez)
    - BUGFIX: Remove torrent temp folder when torrent is deleted (glassez)
    - BUGFIX: Setup DPI at startup (Chocobo1)
    - BUGFIX: Do not attempt to show detailed tooltips without torrent
      metadata. Closes #6768. (evsh)
    - BUGFIX: Better detection of already present files when adding a torrent.
      (fbriere)
    - BUGFIX: Fix double click on system tray icon causing program to open and
      minimize immediately. Closes #5826. (Chocobo1)
    - BUGIFX: Fix categories sorting in AddNewTorrentDialog. Partially fixes
      #6708. (fbriere)
    - BUGFIX: Set "category" column as case-insensitive in transfer list.
      (fbriere)
    - BUGFIX: Properly sort categories case-insensitively in filter widget.
      Closes #6708. (fbriere)
    - BUGFIX: Fix renaming files is not case sensitive on Windows platform.
      Closes #5128. (Chocobo1)
    - BUGFIX: Fix crash in download piece bar (evsh)
    - BUGFIX: Fix focusing on the previously opened dialog didn't work
      (Chocobo1)
    - WEBUI: Bugfix: `RequestParser::splitMultipartData` drop extra trailing
      newline. (OpenGG)
    - WEBUI: Add `skip_checking` and `paused` to `/command/download` and
      `/command/upload` (OpenGG)
    - WEBUI: Fix checkbox hidden. Closes #6642. (Chocobo1)
    - WEBUI: Implement http persistence connection. Max simultaneous connection
      limit set to 500. This also release allocated memory of Connection
      instances at runtime instead of at program shutdown. (Chocobo1)
    - WEBUI: Always send Content-Length header. (Chocobo1)
    - WEBUI: Send Date http header (Chocobo1)
    - WEBUI: Fix "Content-Encoding" header is always created. (Chocobo1)
    - WEBUI: Implement robust checking for gzip encoding and revise gzip
      compressing/decompressing code. (Chocobo1)
    - WEBUI: Make the context obligatory for translatable strings. Also delete
      duplicate strings from extra translations. (sledgehammer999)
    - WEBUI: Use translatable strings in Statistics dialog. (sledgehammer999)
    - WEBUI: Add missing unit sizes in misc.js (sledgehammer999)
    - WEBUI: Use the same layout in the Speed tab in preferences as the GUI.
      (sledgehammer999)
    - WEBUI: Return status indicating if at least one torrent was successfully
      added (Thomas Piccirello)
    - WEBUI: Increase the number of digits after the decimal point (thalieht)
    - WEBUI: Use less permissive Content Security Policy (Thomas Piccirello)
    - WEBUI: Fix connection status icon too large. Closes #6804. (Chocobo1)
    - WEBUI: Cosmetic fixes for WebUI upload and download windows (naikel)
    - WEBUI: Fix slow filtering in WebUI. (naikel)
    - WEBUI: Make cookie parsing robust (Chocobo1)

