=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Cristian Greco <cristian@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: maintainer@mxlinux.org
+XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
+               lsb-release,
                dpkg-dev (>= 1.16.1),
-               libtorrent-rasterbar-dev (>= 0.15.4),
+               libtorrent-rasterbar-dev (>= 1.1.2),
                libboost-dev,
-               qtbase5-dev (>= 5.2.0),
-               qttools5-dev-tools,
+               qtbase5-dev (>= 5.4.0) | libqt4-dev (>= 4:4.8.0),
+               qttools5-dev-tools (>= 5.4.0) | libqt4-dev (>= 4:4.8.0),
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Git: git://anonscm.debian.org/collab-maint/qbittorrent.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/qbittorrent.git
 Homepage: http://www.qbittorrent.org/
@@ -20,8 +23,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
          python (>= 2.5), geoip-database
 Suggests: qbittorrent-dbg
-Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
- BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
+Description: bittorrent client based on libtorrent-rasterbar with a Qt GUI
+ BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt
  user interface. qBittorrent is a feature rich but lightweight client that is
  very similar to uTorrent. Its main features are:
  .
@@ -46,7 +49,7 @@
 Suggests: qbittorrent-dbg
 Description: bittorrent client based on libtorrent-rasterbar (without X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
- qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
+ qBittorrent-nox is a version of qBittorrent (Qt application) that does not
  require X and can be controlled via a WebUI, thus is more suitable for headless
  servers. It is a feature rich but lightweight client that is very similar to
  rTorrent. Its main features are:
@@ -66,10 +69,9 @@
 Package: qbittorrent-dbg
 Architecture: any
 Section: debug
-Priority: extra
 Depends: qbittorrent (= ${binary:Version}) | qbittorrent-nox (= ${binary:Version}), ${misc:Depends}
 Description: debug symbols for qbittorrent and qbittorrent-nox
- BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
+ BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt
  user interface. qBittorrent is a feature rich but lightweight client that is
  very similar to uTorrent.
  .
