=== debian/rules ===
#!/usr/bin/make -f


DPKG_EXPORT_BUILDFLAGS = 1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk
distrelease := $(shell lsb_release -cs)

%:
	dh $@  --without autoreconf --parallel

# use Qt 4 on listed distrelease, otherwise use Qt 5
ifeq ($(distrelease),$(filter $(distrelease),jessie Fusion Metamorphosis))
override_dh_auto_configure:
	mkdir -p build-nox && cd build-nox && ../configure --prefix=/usr --disable-gui \
	--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--with-qt4
	mkdir -p build-gui && cd build-gui && ../configure --prefix=/usr \
	--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--with-qt4
else
override_dh_auto_configure:
	mkdir -p build-nox && cd build-nox && ../configure --prefix=/usr --disable-gui \
	--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p build-gui && cd build-gui && ../configure --prefix=/usr \
	--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
endif

override_dh_auto_build:
	dh_auto_build --builddirectory build-nox
	dh_auto_build --builddirectory build-gui

override_dh_auto_install:
	sed -i '/STRIP/d' build-nox/src/Makefile
	sed -i '/STRIP/d' build-gui/src/Makefile
	dh_auto_install --builddirectory build-nox --destdir debian/qbittorrent-nox \
		-- INSTALL_ROOT=$(CURDIR)/debian/qbittorrent-nox
	dh_auto_install --builddirectory build-gui --destdir debian/qbittorrent \
		-- INSTALL_ROOT=$(CURDIR)/debian/qbittorrent

override_dh_auto_clean:
	dh_auto_clean --builddirectory build-nox
	dh_auto_clean --builddirectory build-gui
	rm -f src/lang/*.qm

override_dh_strip:
	dh_strip -a --dbg-package=qbittorrent-dbg
